Search Unity

  1. Looking for a job or to hire someone for a project? Check out the re-opened job forums.
    Dismiss Notice
  2. Unity 2020 LTS & Unity 2021.1 have been released.
    Dismiss Notice
  3. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice

"No such file or directory: 'config/trainer_config.yaml'"

Discussion in 'ML-Agents' started by FlaviusJosephus, Jun 13, 2020.

  1. FlaviusJosephus

    FlaviusJosephus

    Joined:
    Oct 28, 2015
    Posts:
    3
    I just downloaded the github repository, installed Python 3.8, and am running Unity 2019.3.0f3. When I try to setup a training environment, I get the following console print:

    C:\Users\Not You>mlagents-learn config/trainer_config.yaml --run-id=first3DBallRun

    2020-06-13 14:16:30.808871: W tensorflow/stream_executor/platform/default/dso_loader.cc:55] Could not load dynamic library 'cudart64_101.dll'; dlerror: cudart64_101.dll not found
    2020-06-13 14:16:30.814301: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.
    WARNING:tensorflow:From c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\tensorflow\python\compat\v2_compat.py:96: disable_resource_variables (from tensorflow.python.ops.variable_scope) is deprecated and will be removed in a future version.
    Instructions for updating:
    non-resource variables are not supported in the long term
    Traceback (most recent call last):
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\cli_utils.py", line 233, in load_config
    with open(config_path) as data_file:
    FileNotFoundError: [Errno 2] No such file or directory: 'config/trainer_config.yaml'
    During handling of the above exception, another exception occurred:
    Traceback (most recent call last):
    File "c:\users\not you\appdata\local\programs\python\python38\lib\runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
    File "c:\users\not you\appdata\local\programs\python\python38\lib\runpy.py", line 87, in _run_code
    exec(code, run_globals)
    File "C:\Users\Not You\AppData\Local\Programs\Python\Python38\Scripts\mlagents-learn.exe\__main__.py", line 9, in <module>
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\learn.py", line 322, in main
    run_cli(parse_command_line())
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\learn.py", line 56, in parse_command_line
    return RunOptions.from_argparse(args)
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\settings.py", line 343, in from_argparse
    configured_dict.update(load_config(config_path))
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\cli_utils.py", line 237, in load_config
    raise TrainerConfigError(f"Config file could not be found at {abs_path}.")
    mlagents.trainers.exception.TrainerConfigError: Config file could not be found at C:\Users\Not You\config\trainer_config.yaml.

    I checked the config folder and there is no "trainer_config.yaml" file. I re-downloaded the repository but it still gives me this error. I think I've installed it correctly since I'm able to run
    mlagents-learn
    from any directory. Also, I've searched around and everyone else who had this issue failed to change the directory. So I tried that but got the same result:

    C:\Users\Not You\Documents\ml-agents-master>mlagents-learn config/trainer_config.yaml --run-id=first3DBallRun

    2020-06-13 14:23:37.595603: W tensorflow/stream_executor/platform/default/dso_loader.cc:55] Could not load dynamic library 'cudart64_101.dll'; dlerror: cudart64_101.dll not found
    2020-06-13 14:23:37.604627: I tensorflow/stream_executor/cuda/cudart_stub.cc:29] Ignore above cudart dlerror if you do not have a GPU set up on your machine.
    WARNING:tensorflow:From c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\tensorflow\python\compat\v2_compat.py:96: disable_resource_variables (from tensorflow.python.ops.variable_scope) is deprecated and will be removed in a future version.
    Instructions for updating:
    non-resource variables are not supported in the long term
    Traceback (most recent call last):
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\cli_utils.py", line 233, in load_config
    with open(config_path) as data_file:
    FileNotFoundError: [Errno 2] No such file or directory: 'config/trainer_config.yaml'
    During handling of the above exception, another exception occurred:
    Traceback (most recent call last):
    File "c:\users\not you\appdata\local\programs\python\python38\lib\runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
    File "c:\users\not you\appdata\local\programs\python\python38\lib\runpy.py", line 87, in _run_code
    exec(code, run_globals)
    File "C:\Users\Not You\AppData\Local\Programs\Python\Python38\Scripts\mlagents-learn.exe\__main__.py", line 9, in <module>
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\learn.py", line 322, in main
    run_cli(parse_command_line())
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\learn.py", line 56, in parse_command_line
    return RunOptions.from_argparse(args)
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\settings.py", line 343, in from_argparse
    configured_dict.update(load_config(config_path))
    File "c:\users\not you\appdata\local\programs\python\python38\lib\site-packages\mlagents\trainers\cli_utils.py", line 237, in load_config
    raise TrainerConfigError(f"Config file could not be found at {abs_path}.")
    mlagents.trainers.exception.TrainerConfigError: Config file could not be found at C:\Users\Not You\Documents\ml-agents-master\config\trainer_config.yaml.

    What am I missing here?
     
  2. mbaske

    mbaske

    Joined:
    Dec 31, 2017
    Posts:
    335
    jworking and vincentgao88 like this.
  3. FlaviusJosephus

    FlaviusJosephus

    Joined:
    Oct 28, 2015
    Posts:
    3
    I saw that. Do I need to do this for my own projects? Do I have to run "trainer_config.yaml" for a new project?
     
  4. jworking

    jworking

    Joined:
    Apr 7, 2021
    Posts:
    1
unityunity